#
# spec file for package gurlchecker
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gurlchecker
Version:        0.13.1
Release:        1.1
Summary:        Checking Utility for Web Pages
License:        GPL-2.0+
Group:          Productivity/Networking/Web/Utilities
Url:            http://gurlchecker.labs.libre-entreprise.org/
Source:         gurlchecker-%{version}.tar.bz2
Patch0:         gurlchecker-gnutls-3.4.patch
Patch1:         gurlchecker-0.13.1-fix-missing-devhelp.patch
BuildRequires:  clamav
BuildRequires:  fdupes
BuildRequires:  gnet-devel
%if 0%{?suse_version} > 1210
BuildRequires:  libgnutls-devel
%else
BuildRequires:  gnutls-devel
%endif
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  json-glib-devel
BuildRequires:  libcroco-devel
BuildRequires:  libglade2-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libtidy-devel
BuildRequires:  libxml2-devel
BuildRequires:  sqlite3-devel
BuildRequires:  update-desktop-files
Requires:       %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
gurlchecker is a GNOME tool that checks links on a single Web page or a
whole Web site in order to determine bad, malformed, or too slow links.

%package doc
Summary:        Checking Utility for Web Pages
Group:          Productivity/Networking/Web/Utilities
Requires:       gurlchecker = %{version}

%description doc
gurlchecker is a GNOME tool that checks links on a single Web page or a
whole Web site in order to determine bad, malformed, or too slow links.

%lang_package
%prep
%setup -q
%patch0
%patch1 -p1

%build
%configure
make

%install
%makeinstall
%find_lang %{name}
%suse_update_desktop_file %name WebDevelopment
# We install this file with %doc
rm %{buildroot}%{_datadir}/doc/gurlchecker/COPYING
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING AUTHORS TODO ChangeLog NEWS THANKS
%doc %{_mandir}/man1/*.1*
%{_bindir}/gurlchecker
%{_datadir}/gurlchecker/
%{_datadir}/applications/gurlchecker.desktop
%{_datadir}/pixmaps/gurlchecker.png

%files doc
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/*

%files lang -f %{name}.lang

%changelog
* Mon Jun 27 2016 lpechacek@suse.com
- gurlchecker-0.13.1-fix-missing-devhelp.patch: Old devhelp
  format is long deprecated and GTK-Doc does not generate it
  anymore.  Similarly index.sgml doesn't appear in gtkdoc-mkhtml
  output. (bsc#985409)
* Fri May 22 2015 dimstar@opensuse.org
- Add gurlchecker-gnutls-3.4.patch: Fix build with gnutls 3.4.
  Patch based on svn commit 828 (in parts).
* Mon May 21 2012 badshah400@gmail.com
- Use BuildRequires: libgnutls-devel instead of gnutls-devel for
  Factory in keeping with gnutls package naming changes.
* Tue May 24 2011 dimstar@opensuse.org
- Update to version 0.13.1:
  + Added option to export IP address.
  + Added option to export only external links.
  + Fixed a bug in header request.
  + Fixed memory leaks.
  + Fixed a problem with libclamav6 >= 0.96.
  + Fixed want_*_path detection for LDFLAGS and yes/no logic in
    configuration.
  + Fixed a build problem with po.
* Sun Sep 19 2010 vuntz@opensuse.org
- Update to version 0.13:
  + Added support for Google Chrome bookmarks check.
  + Added support for Opera bookmarks check.
  + Fixed a problem with remote bookmarks file handling.
  + Now remove XML node using the right way.
  + Code reorganisation, and cleaning.
- Changes from version 0.12.1:
  + Fix compatibility with GTK+ < 2.18.
- Changes from version 0.12:
  + CSV export
  + check for Firefox bookmarks
  + massive delete of bookmarks bad links
  + security check for bookmarks
  + new result filters management
  + rewrite of some network parts
  + HTTPS scan fixes
  + HTTP fixes
  + FILE fixes
  + huge number of memory leaks fixes
- Changes from version 0.11.2:
  + Fixed 2 translation bugs.
- Changes from version 0.11.1:
  + Fixed a problem with export's XSL stylesheet.
  + Fixed a segfault with new project dialog.
  + Fixed dist-all target for manpage inclusion.
  + Do not bother end-user anymore with cookies expiration warning.
  + XSL enhancement to produce better HTML report.
  + Use pkg-config to search for the gnutls library.
  + Do not build manpage on the fly anymore. It is now located in
    the root package directory.
  + Cleaning and optimization.
- Changes from version 0.11:
  + Now you can associate custom user action label to each URL
  + Added option for searching by HTTP status code.
  + Now display virus name in page information frame.
  + Always use gtk_file_chooser_* instead of gtk_file_selection_*.
  + Systematically use GET instead of HEAD to obtain header
    information.
  + Use main window to show good/bad links in real time during the
    check
- Big cleanup of the spec file.
* Mon Jul 27 2009 daniel.rahn@novell.com
- update to new stable release 0.10.5
  * Fixed a bug in HTTP header status management.
  * Fixed a compatibility problem with ClamAV >= 0.95.
* Mon Feb 16 2009 drahn@suse.de
- update to new release 0.10.3
- split off debug and doc packages
* Wed Apr  9 2008 drahn@suse.de
- update to stable version 0.10.2
- cleanup BuildRequires
- package source as bzip2
- upstream changes / fixes:
  * fixed a problem with libtidy
  * fixed a protocol comparison bug (obsoletes bnc-231182.patch)
  * documentation cleanup
* Thu Oct 11 2007 sbrabec@suse.cz
- Removed bogus dependency on mDNSResponder.
* Tue Aug  7 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage.
* Tue May  1 2007 drahn@suse.de
- update to 0.10.1
- HTML validation (with libtidy)
- CSS validation (with libcroco)
- fix string comparison (#231182)
* Sun Jan  7 2007 ro@suse.de
- GNOME moved to /usr
* Tue Aug 22 2006 drahn@suse.de
- update to new release 0.10
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jul 26 2005 drahn@suse.de
- Update to stable release 0.8.2
- Correct built of man page
* Wed Mar 23 2005 sbrabec@suse.cz
- Moved desktop file (#73653).
- Require gnome-themes, when desktop icon resides.
* Mon Nov 22 2004 ro@suse.de
- remove extra aclocal include dir
* Fri Sep 24 2004 mskibbe@suse.de
- change desktopfile
* Tue Sep 21 2004 mskibbe@suse.de
- change specfile (suse_update_desktop_file)
* Fri Aug  6 2004 pth@suse.de
- Update to 0.7.15
- Fix configure.in.
- USE AM_PATH_LIBGNUTLS to check and configure for the use of libgnutls
- Regenerate configuration.
- Clean up the code.
* Mon May 24 2004 drahn@suse.de
- update to 0.7.12
- add desktop-file
- use %%find_lang
* Tue Apr 27 2004 sf@suse.de
- fix for 64bit
* Fri Mar  5 2004 stepan@suse.de
- update to 0.7.9
* Wed Feb 25 2004 stepan@suse.de
- update to 0.7.8
* Mon Jan 12 2004 stepan@suse.de
- update to 0.7.6
* Thu Oct 16 2003 stepan@suse.de
- update to 0.7.3:
  A bug that resuled in too many timeouts may have been fixed. A
  DOM parser is now used to parse XBEL instead of a SAX parser, and
  an encoding problem was fixed. A problem with timeouts on non-
  existent servers was fixed. An informational popup on was added
  after cancelling or finishing a check. The ability to delete
  some links in the check results and to save changes in the
  bookmarks file was added.
* Mon Oct 13 2003 stepan@suse.de
- update to 0.7.2
* Thu Oct  2 2003 stepan@suse.de
- update to version 0.7.1
* Fri Aug 15 2003 stepan@suse.de
- initial version 0.6.0-pre6
